Fetch a cluster
You can retrieve a MariaDB cluster by using its ID. This value can be found in the response body when a MariaDB cluster is created or when you GET a list of MariaDB clusters.
get/clusters/{clusterId}
Authorizations
AuthorizationstringRequired
Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.
Path parameters
clusterIdstringRequiredExample:
The unique ID of the cluster.
498ae72f-411f-11eb-9d07-046c59cc737eResponses
200
Successful operation.
application/json
A database cluster.
idstringOptionalExample:
The unique ID of the resource.
498ae72f-411f-11eb-9d07-046c59cc737e400
Parse error.
application/json
401
Authentication error.
application/json
403
Unauthorized.
application/json
404
Not Found.
application/json
405
Unsupported HTTP method.
application/json
415
Unsupported content type.
application/json
422
Validation error.
application/json
429
Request rate limit exceeded.
application/json
500
Server error.
application/json
503
Maintenance.
application/json
get/clusters/{clusterId}
GET /clusters/{clusterId} HTTP/1.1
Host: mariadb.de-fra.ionos.com
Authorization: YOUR_API_KEY
Accept: */*
{
"id": "498ae72f-411f-11eb-9d07-046c59cc737e",
"metadata": {
"createdDate": "2020-12-10T13:37:50+01:00",
"createdBy": "john.doe@example.com",
"createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"lastModifiedDate": "2020-12-11T13:37:50+01:00",
"lastModifiedBy": "jane.doe@example.com",
"lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"state": "AVAILABLE"
},
"properties": {
"displayName": "MariaDB cluster",
"mariadbVersion": "10.6",
"dnsName": "ma-yourcluster.mariadb.region.ionos.com",
"instances": 3,
"ram": 4,
"cores": 4,
"storageSize": 10,
"connections": [
{
"datacenterId": "5a029f4a-72e5-11ec-90d6-0242ac120003",
"lanId": "2",
"cidr": "192.168.1.100/24"
}
],
"maintenanceWindow": {
"time": "16:30:59",
"dayOfTheWeek": "Monday"
},
"backup": {
"location": "de"
}
}
}Last updated
Was this helpful?